#pragma once
#include "ioport.hpp"

namespace JabyEngine {
    namespace Memory_IO {
        __declare_io_value(COM_DELAY, uint32_t) {
            static constexpr COM_DELAY create() {
                return COM_DELAY{0x1325};
            }
        };

        __declare_io_value(CD_DELAY, uint32_t) {
            static constexpr CD_DELAY create() {
                return CD_DELAY{0x20943};
            }
        };

        __declare_io_port(, COM_DELAY, 0x1F801020);
        __declare_io_port(, CD_DELAY,  0x1F801018);
    }
}